%global debug_package %{nil}

Name:           ripasso
Version:        0.4.0
Release:        1%{?dist}
Summary:        Simple password manager written in Rust

License:        GPLv3+
URL:            https://github.com/cortex/ripasso
Source0:        %{url}/archive/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo >= 1.36.0
BuildRequires:  desktop-file-utils
BuildRequires:  libgpg-error-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  qgpgme-devel
BuildRequires:  rust >= 1.36.0

# For GTK version
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pango)

# For Qt version
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)

Suggests:       %{name}-gtk%{?_isa}
Suggests:       %{name}-qt%{?_isa}

%description
A simple password manager written in Rust.

The root crate ripasso is a library for accessing and decrypting passwords
stored in pass format (GPG-encrypted files), with a file-watcher event emitter.

Multiple UI's in different stages of development are available in subcrates.


%package        gtk
Summary:        GTK version of %{name}

%description    gtk
GTK version of %{name}.


%package        qt
Summary:        Qt version of %{name}

%description    qt
Qt version of %{name}.


%prep
%autosetup -n %{name}-release-%{version}


%build
cargo build --all --release
#cargo build --all


%install
pushd target/release
#pushd target/debug
install -m 0755 -Dp %{name}-cursive %{buildroot}%{_bindir}/%{name}-cursive
install -m 0755 -Dp %{name}-gtk     %{buildroot}%{_bindir}/%{name}-gtk
install -m 0755 -Dp %{name}-qt      %{buildroot}%{_bindir}/%{name}-qt

# Man page
./%{name}-man > %{name}-cursive.1
install -m 0644 -Dp %{name}-cursive.1 %{buildroot}%{_mandir}/man1/%{name}-cursive.1
popd

strip %{buildroot}%{_bindir}/*


%check
#desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENCE
%doc README.md
%{_bindir}/%{name}-cursive
%{_mandir}/man1/*

%files gtk
%license LICENCE
%doc README.md
%{_bindir}/%{name}-gtk

%files qt
%license LICENCE
%doc README.md
%{_bindir}/%{name}-qt


%changelog
* Mon Mar 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Sat Dec 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-2
- Fix man page

* Sun Dec 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Initial package
